package com.willalp.number.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.number.domain.HsSysNumberRule;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 编号规则Mapper接口
 *
 * @author songyu
 * @date 2021-11-24
 */
public interface HsSysNumberRuleMapper extends BaseMapper<HsSysNumberRule>
{
    /**
     * 查询编号规则
     *
     * @param ruleId 编号规则主键
     * @return 编号规则
     */
    public HsSysNumberRule selectHsSysNumberRuleByRuleId(String ruleId);

    /**
     * 查询编号规则列表
     *
     * @param hsSysNumberRule 编号规则
     * @return 编号规则集合
     */
    public List<HsSysNumberRule> selectHsSysNumberRuleList(HsSysNumberRule hsSysNumberRule);

    /**
     * 新增编号规则
     *
     * @param hsSysNumberRule 编号规则
     * @return 结果
     */
    public int insertHsSysNumberRule(HsSysNumberRule hsSysNumberRule);

    /**
     * 修改编号规则
     *
     * @param hsSysNumberRule 编号规则
     * @return 结果
     */
    public int updateHsSysNumberRule(HsSysNumberRule hsSysNumberRule);

    /**
     * 删除编号规则
     *
     * @param ruleId 编号规则主键
     * @return 结果
     */
    public int deleteHsSysNumberRuleByRuleId(String ruleId);

    /**
     * 批量删除编号规则
     *
     * @param ruleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHsSysNumberRuleByRuleIds(String[] ruleIds);

    int updatePartOneValue(@Param("ruleId") Long ruleId,@Param("value") Long value);

    int updatePartTwoValue(@Param("ruleId") Long ruleId,@Param("value") Long value);

    int updatePartThreeValue(@Param("ruleId") Long ruleId,@Param("value") Long value);
}
